# Uncomment line below to force logger backend (otherwise it will be autodetected)
#backend=logger

# Paths to the appropriate devices for the four "classic" buffers
# Multiple devices can be specified, delimited by ':'
# This allows to create a backup in case a buffer is missing
# IF the value has a colon AT THE END, the buffer is OPTIONAL
# ELSE the buffer is MANDATORY and will crash if all devices are missing
main=/dev/log_main
apps=/dev/log_apps:/dev/log_events:/dev/log_main
system=/dev/log_system:/dev/log_main
radio=/dev/log_radio:/dev/log_main

# Passive logging, see the main `dlog.conf` file for details
# NOTE: Do not change the following key names!  When different backend
#       is used (eg. logger, via 25-logger.conf) these will be overriden.
# dlog_logger_conf_kmsg=dlogutil -b kmsg -r 1024 -n 1 -f /var/log/dlog/kernel -v kerneltime

# Daemon throttling
# controls how many logs the daemon will try to read at once
# from an Android Logger device, affecting how a busy buffer
# will influence others; use with caution
#  - a higher value means it is more likely to starve them
#  - a lower one means it will lose logs itself

# the default for all buffers (if missing, 100 is used)
logger_dev_throttling=100

# setting a buffer-specific value is also possible,
# taking precedence over the default
#logger_dev_throttling_radio=1000
#logger_dev_throttling_main=80

# How long after start the daemon works in "lazy" mode, which means that it
# wakes up exactly after specified time (unlike regular polling, where it
# might wake up immediately if logs are available). This reduces the overhead
# for waking up, but can result in log loss under heavy load. Use -1 as the
# total time to keep the daemon in the lazy mode permanently. Defaults to 0.
lazy_polling_total_ms=-1
lazy_polling_sleep_ms=100

# File which will be used to check if the DLog daemon is run for the first time since last system restart.
# Note that this file must be in a directory that is not preserved across restarts!
# If empty or unset, the file won't be created and every run will be treated as first.
first_time_file_path=/run/dlog/first_time
